Bug 23294 - Restore actual cost input field on order page
Summary: Restore actual cost input field on order page
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal with 10 votes (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 9775
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-10 17:34 UTC by Andrew Fuerste-Henry
Modified: 2019-09-12 11:34 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.04


Attachments
Bug 23294: Show actual price when ordering (2.95 KB, patch)
2019-07-15 18:36 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23294: Show actual price when ordering (3.00 KB, patch)
2019-07-19 20:59 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23294: Show actual price when ordering (3.07 KB, patch)
2019-08-19 20:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2019-07-10 17:34:18 UTC
Bug 23020 already details how received cost for standing orders is not shown on basket.pl. 18.11 has changed how costs are calculated and displayed on neworderempty.pl, exacerbating the problem

To Test:
- Create a standing order basket
- Add an order to that basket with no price information filled out
- Receive a copy of the standing order and record an actual price at receipt
- Go back to your basket and click Modify for your received order
- See that it still shows $0 for Total

Prior to 18.11, Total was derived from aqorders.unitprice, which reflected the Actual Cost entered when receiving. Now it is only derived from budgeted cost. This is an issue for standing orders, for which many libraries do not enter a budgeted cost, only an actual cost at receipt.
Comment 1 Andrew Fuerste-Henry 2019-07-12 12:51:43 UTC
 
> Prior to 18.11, Total was derived from aqorders.unitprice, which reflected
> the Actual Cost entered when receiving. 

Sorry, I was incorrect about this bit. Prior to 18.11, orders showed both budgeted total *and* actual cost. Actual cost was removed in Bug 9775.

For what it's worth, see also Bug 23020, which is also about getting actual cost to be visible from the basket end of things.
Comment 2 Nick Clemens 2019-07-15 18:17:03 UTC
Bug 9775 removed this field as it didn't fit all workflows

I propose we should restore it and make it easily hideable for those who don't want to see it.

Standing order baskets allow modification of received orders and we have hidden information
Comment 3 Nick Clemens 2019-07-15 18:36:29 UTC
Created attachment 91540 [details] [review]
Bug 23294: Show actual price when ordering

To test:
1 - Have a basket
2 - Add an order
3 - Modify the order, note you cannot see the unitprice/Actual cost
4 - Apply patch
5 - Note it is there
6 - Add to IntranetUserCSS:
    .ordering_unitprice{ display:none; }
7 - Reload
8 - Note it is hidden
Comment 4 Maryse Simard 2019-07-19 20:59:14 UTC
Created attachment 91673 [details] [review]
Bug 23294: Show actual price when ordering

To test:
1 - Have a basket
2 - Add an order
3 - Modify the order, note you cannot see the unitprice/Actual cost
4 - Apply patch
5 - Note it is there
6 - Add to IntranetUserCSS:
    .ordering_unitprice{ display:none; }
7 - Reload
8 - Note it is hidden

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 5 Katrin Fischer 2019-08-19 20:13:20 UTC
I think the question was not about seeing, but if we want to be able to edit the value at this point in time. I notice that there is a difference in behaviour to before bug 9775 and with this patch now - the input field used to appear as readonly when the basket was closed.

I have no strong opinion here - when the basket is closed we don't offer edit links, so the difference is only seen if you try a little harder. It might be useful in some cases.
Comment 6 Katrin Fischer 2019-08-19 20:13:47 UTC
Created attachment 92358 [details] [review]
Bug 23294: Show actual price when ordering

To test:
1 - Have a basket
2 - Add an order
3 - Modify the order, note you cannot see the unitprice/Actual cost
4 - Apply patch
5 - Note it is there
6 - Add to IntranetUserCSS:
    .ordering_unitprice{ display:none; }
7 - Reload
8 - Note it is hidden

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2019-08-19 20:15:13 UTC
I've rephrased this - it's not only for standing orders.
Comment 8 Martin Renvoize 2019-08-20 14:02:34 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Fridolin SOMERS 2019-08-28 13:55:53 UTC
Pushed to 19.05.x for 19.05.04
Comment 10 Lucas Gass 2019-09-12 11:34:14 UTC
backported to 18.11.x for 18.11.10